GDAL

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends | List of all members
OGRCurveCollection Class Reference

Utility class to store a collection of curves. More...

`#include <ogr_geometry.h>`

## Public Member Functions
| OGRCurveCollection (const OGRCurveCollection &other)
| Copy constructor. More...
OGRCurveCollection & | operator= (const OGRCurveCollection &other)
| Assignment operator. More...
void | empty (OGRGeometry *poGeom)
OGRBoolean | IsEmpty () const
void | getEnvelope (OGREnvelope *psEnvelope) const
void | getEnvelope (OGREnvelope3D *psEnvelope) const
OGRErr | addCurveDirectly (OGRGeometry *poGeom, OGRCurve *poCurve, int bNeedRealloc)
int | WkbSize () const
OGRErr | importPreambuleFromWkb (OGRGeometry *poGeom, unsigned char *pabyData, int &nSize, int &nDataOffset, OGRwkbByteOrder &eByteOrder, int nMinSubGeomSize, OGRwkbVariant eWkVariant)
OGRErr | importBodyFromWkb (OGRGeometry *poGeom, unsigned char *pabyData, int nSize, int nDataOffset, int bAcceptCompoundCurve, OGRErr(*pfnAddCurveDirectlyFromWkb)(OGRGeometry *poGeom, OGRCurve *poCurve), OGRwkbVariant eWkVariant)
OGRErr | exportToWkt (const OGRGeometry *poGeom, char **ppszDstText) const
OGRErr | exportToWkb (const OGRGeometry *poGeom, OGRwkbByteOrder, unsigned char *, OGRwkbVariant eWkbVariant) const
OGRBoolean | Equals (OGRCurveCollection *poOCC) const
void | setCoordinateDimension (OGRGeometry *poGeom, int nNewDimension)
void | set3D (OGRGeometry *poGeom, OGRBoolean bIs3D)
void | setMeasured (OGRGeometry *poGeom, OGRBoolean bIsMeasured)
int | getNumCurves () const
OGRCurve * | getCurve (int)
const OGRCurve * | getCurve (int) const
OGRCurve * | stealCurve (int)
OGRErr | transform (OGRGeometry *poGeom, OGRCoordinateTransformation *poCT)
void | flattenTo2D (OGRGeometry *poGeom)
void | segmentize (double dfMaxLength)
void | swapXY ()
OGRBoolean | hasCurveGeometry (int bLookForNonLinear) const

## Protected Attributes
int | nCurveCount
OGRCurve ** | papoCurves

## Friends
class | OGRCompoundCurve
class | OGRCurvePolygon
class | OGRPolygon

## Detailed Description

Utility class to store a collection of curves.

Used as a member of OGRCompoundCurve and OGRCurvePolygon.

This class is only exported because of linking issues. It should never be directly used.

Since
  GDAL 2.0

## Constructor & Destructor Documentation

OGRCurveCollection::OGRCurveCollection | ( | const OGRCurveCollection & | other | ) |

Copy constructor.

Note: before GDAL 2.1, only the default implementation of the constructor existed, which could be unsafe to use.

Since
  GDAL 2.1

## Member Function Documentation

OGRCurveCollection & OGRCurveCollection::operator= | ( | const OGRCurveCollection & | other | ) |

Assignment operator.

Note: before GDAL 2.1, only the default implementation of the operator existed, which could be unsafe to use.

Since
  GDAL 2.1

The documentation for this class was generated from the following files:

- ogr_geometry.h
- ogrcurvecollection.cpp

Generated for GDAL by 1.8.8.